Skip to content

Partners Api

immichpy.client.generated.api.partners_api.PartnersApi

PartnersApi(api_client=None)

NOTE: This class is auto generated by OpenAPI Generator Ref: https://openapi-generator.tech

Do not edit the class manually.

Source code in immichpy/client/generated/api/partners_api.py
35
36
37
38
def __init__(self, api_client=None) -> None:
    if api_client is None:
        api_client = ApiClient.get_default()
    self.api_client = api_client

create_partner async

create_partner(partner_create_dto: PartnerCreateDto, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> PartnerResponseDto

Create a partner

Create a new partner to share assets with.

Parameters:

Name Type Description Default
partner_create_dto PartnerCreateDto

(required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
PartnerResponseDto

Returns the result object.

Source code in immichpy/client/generated/api/partners_api.py
 40
 41
 42
 43
 44
 45
 46
 47
 48
 49
 50
 51
 52
 53
 54
 55
 56
 57
 58
 59
 60
 61
 62
 63
 64
 65
 66
 67
 68
 69
 70
 71
 72
 73
 74
 75
 76
 77
 78
 79
 80
 81
 82
 83
 84
 85
 86
 87
 88
 89
 90
 91
 92
 93
 94
 95
 96
 97
 98
 99
100
101
102
@validate_call
async def create_partner(
    self,
    partner_create_dto: PartnerCreateDto,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> PartnerResponseDto:
    """Create a partner

    Create a new partner to share assets with.

    :param partner_create_dto: (required)
    :type partner_create_dto: PartnerCreateDto
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501

    _param = self._create_partner_serialize(
        partner_create_dto=partner_create_dto,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "201": "PartnerResponseDto",
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    await response_data.read()
    return self.api_client.response_deserialize(
        response_data=response_data,
        response_types_map=_response_types_map,
    ).data

create_partner_deprecated async

create_partner_deprecated(id: UUID, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> PartnerResponseDto

(Deprecated) Create a partner

Create a new partner to share assets with.

Parameters:

Name Type Description Default
id UUID

(required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
PartnerResponseDto

Returns the result object.

Source code in immichpy/client/generated/api/partners_api.py
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
339
340
341
342
343
344
345
346
347
348
349
350
351
352
353
354
355
@validate_call
async def create_partner_deprecated(
    self,
    id: UUID,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> PartnerResponseDto:
    """(Deprecated) Create a partner

    Create a new partner to share assets with.

    :param id: (required)
    :type id: UUID
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501
    warnings.warn("POST /partners/{id} is deprecated.", DeprecationWarning)

    _param = self._create_partner_deprecated_serialize(
        id=id,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "201": "PartnerResponseDto",
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    await response_data.read()
    return self.api_client.response_deserialize(
        response_data=response_data,
        response_types_map=_response_types_map,
    ).data

create_partner_deprecated_with_http_info async

create_partner_deprecated_with_http_info(id: UUID, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> ApiResponse[PartnerResponseDto]

(Deprecated) Create a partner

Create a new partner to share assets with.

Parameters:

Name Type Description Default
id UUID

(required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
ApiResponse[PartnerResponseDto]

Returns the result object.

Source code in immichpy/client/generated/api/partners_api.py
357
358
359
360
361
362
363
364
365
366
367
368
369
370
371
372
373
374
375
376
377
378
379
380
381
382
383
384
385
386
387
388
389
390
391
392
393
394
395
396
397
398
399
400
401
402
403
404
405
406
407
408
409
410
411
412
413
414
415
416
417
418
419
420
@validate_call
async def create_partner_deprecated_with_http_info(
    self,
    id: UUID,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> ApiResponse[PartnerResponseDto]:
    """(Deprecated) Create a partner

    Create a new partner to share assets with.

    :param id: (required)
    :type id: UUID
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501
    warnings.warn("POST /partners/{id} is deprecated.", DeprecationWarning)

    _param = self._create_partner_deprecated_serialize(
        id=id,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "201": "PartnerResponseDto",
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    await response_data.read()
    return self.api_client.response_deserialize(
        response_data=response_data,
        response_types_map=_response_types_map,
    )

create_partner_deprecated_without_preload_content async

create_partner_deprecated_without_preload_content(id: UUID, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> RESTResponseType

(Deprecated) Create a partner

Create a new partner to share assets with.

Parameters:

Name Type Description Default
id UUID

(required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
RESTResponseType

Returns the result object.

Source code in immichpy/client/generated/api/partners_api.py
422
423
424
425
426
427
428
429
430
431
432
433
434
435
436
437
438
439
440
441
442
443
444
445
446
447
448
449
450
451
452
453
454
455
456
457
458
459
460
461
462
463
464
465
466
467
468
469
470
471
472
473
474
475
476
477
478
479
480
481
@validate_call
async def create_partner_deprecated_without_preload_content(
    self,
    id: UUID,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> RESTResponseType:
    """(Deprecated) Create a partner

    Create a new partner to share assets with.

    :param id: (required)
    :type id: UUID
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501
    warnings.warn("POST /partners/{id} is deprecated.", DeprecationWarning)

    _param = self._create_partner_deprecated_serialize(
        id=id,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "201": "PartnerResponseDto",
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    return response_data.response

create_partner_with_http_info async

create_partner_with_http_info(partner_create_dto: PartnerCreateDto, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> ApiResponse[PartnerResponseDto]

Create a partner

Create a new partner to share assets with.

Parameters:

Name Type Description Default
partner_create_dto PartnerCreateDto

(required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
ApiResponse[PartnerResponseDto]

Returns the result object.

Source code in immichpy/client/generated/api/partners_api.py
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
@validate_call
async def create_partner_with_http_info(
    self,
    partner_create_dto: PartnerCreateDto,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> ApiResponse[PartnerResponseDto]:
    """Create a partner

    Create a new partner to share assets with.

    :param partner_create_dto: (required)
    :type partner_create_dto: PartnerCreateDto
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501

    _param = self._create_partner_serialize(
        partner_create_dto=partner_create_dto,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "201": "PartnerResponseDto",
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    await response_data.read()
    return self.api_client.response_deserialize(
        response_data=response_data,
        response_types_map=_response_types_map,
    )

create_partner_without_preload_content async

create_partner_without_preload_content(partner_create_dto: PartnerCreateDto, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> RESTResponseType

Create a partner

Create a new partner to share assets with.

Parameters:

Name Type Description Default
partner_create_dto PartnerCreateDto

(required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
RESTResponseType

Returns the result object.

Source code in immichpy/client/generated/api/partners_api.py
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
@validate_call
async def create_partner_without_preload_content(
    self,
    partner_create_dto: PartnerCreateDto,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> RESTResponseType:
    """Create a partner

    Create a new partner to share assets with.

    :param partner_create_dto: (required)
    :type partner_create_dto: PartnerCreateDto
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501

    _param = self._create_partner_serialize(
        partner_create_dto=partner_create_dto,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "201": "PartnerResponseDto",
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    return response_data.response

get_partners async

get_partners(direction: Annotated[PartnerDirection, Field(description='Partner direction')], _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> List[PartnerResponseDto]

Retrieve partners

Retrieve a list of partners with whom assets are shared.

Parameters:

Name Type Description Default
direction Annotated[PartnerDirection, Field(description='Partner direction')]

Partner direction (required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
List[PartnerResponseDto]

Returns the result object.

Source code in immichpy/client/generated/api/partners_api.py
537
538
539
540
541
542
543
544
545
546
547
548
549
550
551
552
553
554
555
556
557
558
559
560
561
562
563
564
565
566
567
568
569
570
571
572
573
574
575
576
577
578
579
580
581
582
583
584
585
586
587
588
589
590
591
592
593
594
595
596
597
598
599
@validate_call
async def get_partners(
    self,
    direction: Annotated[PartnerDirection, Field(description="Partner direction")],
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> List[PartnerResponseDto]:
    """Retrieve partners

    Retrieve a list of partners with whom assets are shared.

    :param direction: Partner direction (required)
    :type direction: PartnerDirection
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501

    _param = self._get_partners_serialize(
        direction=direction,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "200": "List[PartnerResponseDto]",
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    await response_data.read()
    return self.api_client.response_deserialize(
        response_data=response_data,
        response_types_map=_response_types_map,
    ).data

get_partners_with_http_info async

get_partners_with_http_info(direction: Annotated[PartnerDirection, Field(description='Partner direction')], _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> ApiResponse[List[PartnerResponseDto]]

Retrieve partners

Retrieve a list of partners with whom assets are shared.

Parameters:

Name Type Description Default
direction Annotated[PartnerDirection, Field(description='Partner direction')]

Partner direction (required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
ApiResponse[List[PartnerResponseDto]]

Returns the result object.

Source code in immichpy/client/generated/api/partners_api.py
601
602
603
604
605
606
607
608
609
610
611
612
613
614
615
616
617
618
619
620
621
622
623
624
625
626
627
628
629
630
631
632
633
634
635
636
637
638
639
640
641
642
643
644
645
646
647
648
649
650
651
652
653
654
655
656
657
658
659
660
661
662
663
@validate_call
async def get_partners_with_http_info(
    self,
    direction: Annotated[PartnerDirection, Field(description="Partner direction")],
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> ApiResponse[List[PartnerResponseDto]]:
    """Retrieve partners

    Retrieve a list of partners with whom assets are shared.

    :param direction: Partner direction (required)
    :type direction: PartnerDirection
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501

    _param = self._get_partners_serialize(
        direction=direction,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "200": "List[PartnerResponseDto]",
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    await response_data.read()
    return self.api_client.response_deserialize(
        response_data=response_data,
        response_types_map=_response_types_map,
    )

get_partners_without_preload_content async

get_partners_without_preload_content(direction: Annotated[PartnerDirection, Field(description='Partner direction')], _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> RESTResponseType

Retrieve partners

Retrieve a list of partners with whom assets are shared.

Parameters:

Name Type Description Default
direction Annotated[PartnerDirection, Field(description='Partner direction')]

Partner direction (required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
RESTResponseType

Returns the result object.

Source code in immichpy/client/generated/api/partners_api.py
665
666
667
668
669
670
671
672
673
674
675
676
677
678
679
680
681
682
683
684
685
686
687
688
689
690
691
692
693
694
695
696
697
698
699
700
701
702
703
704
705
706
707
708
709
710
711
712
713
714
715
716
717
718
719
720
721
722
723
@validate_call
async def get_partners_without_preload_content(
    self,
    direction: Annotated[PartnerDirection, Field(description="Partner direction")],
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> RESTResponseType:
    """Retrieve partners

    Retrieve a list of partners with whom assets are shared.

    :param direction: Partner direction (required)
    :type direction: PartnerDirection
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501

    _param = self._get_partners_serialize(
        direction=direction,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "200": "List[PartnerResponseDto]",
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    return response_data.response

remove_partner async

remove_partner(id: UUID, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> None

Remove a partner

Stop sharing assets with a partner.

Parameters:

Name Type Description Default
id UUID

(required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
None

Returns the result object.

Source code in immichpy/client/generated/api/partners_api.py
780
781
782
783
784
785
786
787
788
789
790
791
792
793
794
795
796
797
798
799
800
801
802
803
804
805
806
807
808
809
810
811
812
813
814
815
816
817
818
819
820
821
822
823
824
825
826
827
828
829
830
831
832
833
834
835
836
837
838
839
840
841
842
@validate_call
async def remove_partner(
    self,
    id: UUID,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> None:
    """Remove a partner

    Stop sharing assets with a partner.

    :param id: (required)
    :type id: UUID
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501

    _param = self._remove_partner_serialize(
        id=id,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "204": None,
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    await response_data.read()
    return self.api_client.response_deserialize(
        response_data=response_data,
        response_types_map=_response_types_map,
    ).data

remove_partner_with_http_info async

remove_partner_with_http_info(id: UUID, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> ApiResponse[None]

Remove a partner

Stop sharing assets with a partner.

Parameters:

Name Type Description Default
id UUID

(required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
ApiResponse[None]

Returns the result object.

Source code in immichpy/client/generated/api/partners_api.py
844
845
846
847
848
849
850
851
852
853
854
855
856
857
858
859
860
861
862
863
864
865
866
867
868
869
870
871
872
873
874
875
876
877
878
879
880
881
882
883
884
885
886
887
888
889
890
891
892
893
894
895
896
897
898
899
900
901
902
903
904
905
906
@validate_call
async def remove_partner_with_http_info(
    self,
    id: UUID,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> ApiResponse[None]:
    """Remove a partner

    Stop sharing assets with a partner.

    :param id: (required)
    :type id: UUID
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501

    _param = self._remove_partner_serialize(
        id=id,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "204": None,
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    await response_data.read()
    return self.api_client.response_deserialize(
        response_data=response_data,
        response_types_map=_response_types_map,
    )

remove_partner_without_preload_content async

remove_partner_without_preload_content(id: UUID, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> RESTResponseType

Remove a partner

Stop sharing assets with a partner.

Parameters:

Name Type Description Default
id UUID

(required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
RESTResponseType

Returns the result object.

Source code in immichpy/client/generated/api/partners_api.py
908
909
910
911
912
913
914
915
916
917
918
919
920
921
922
923
924
925
926
927
928
929
930
931
932
933
934
935
936
937
938
939
940
941
942
943
944
945
946
947
948
949
950
951
952
953
954
955
956
957
958
959
960
961
962
963
964
965
966
@validate_call
async def remove_partner_without_preload_content(
    self,
    id: UUID,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> RESTResponseType:
    """Remove a partner

    Stop sharing assets with a partner.

    :param id: (required)
    :type id: UUID
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501

    _param = self._remove_partner_serialize(
        id=id,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "204": None,
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    return response_data.response

update_partner async

update_partner(id: UUID, partner_update_dto: PartnerUpdateDto, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> PartnerResponseDto

Update a partner

Specify whether a partner's assets should appear in the user's timeline.

Parameters:

Name Type Description Default
id UUID

(required)

required
partner_update_dto PartnerUpdateDto

(required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
PartnerResponseDto

Returns the result object.

Source code in immichpy/client/generated/api/partners_api.py
1016
1017
1018
1019
1020
1021
1022
1023
1024
1025
1026
1027
1028
1029
1030
1031
1032
1033
1034
1035
1036
1037
1038
1039
1040
1041
1042
1043
1044
1045
1046
1047
1048
1049
1050
1051
1052
1053
1054
1055
1056
1057
1058
1059
1060
1061
1062
1063
1064
1065
1066
1067
1068
1069
1070
1071
1072
1073
1074
1075
1076
1077
1078
1079
1080
1081
1082
@validate_call
async def update_partner(
    self,
    id: UUID,
    partner_update_dto: PartnerUpdateDto,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> PartnerResponseDto:
    """Update a partner

    Specify whether a partner's assets should appear in the user's timeline.

    :param id: (required)
    :type id: UUID
    :param partner_update_dto: (required)
    :type partner_update_dto: PartnerUpdateDto
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501

    _param = self._update_partner_serialize(
        id=id,
        partner_update_dto=partner_update_dto,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "200": "PartnerResponseDto",
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    await response_data.read()
    return self.api_client.response_deserialize(
        response_data=response_data,
        response_types_map=_response_types_map,
    ).data

update_partner_with_http_info async

update_partner_with_http_info(id: UUID, partner_update_dto: PartnerUpdateDto, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> ApiResponse[PartnerResponseDto]

Update a partner

Specify whether a partner's assets should appear in the user's timeline.

Parameters:

Name Type Description Default
id UUID

(required)

required
partner_update_dto PartnerUpdateDto

(required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
ApiResponse[PartnerResponseDto]

Returns the result object.

Source code in immichpy/client/generated/api/partners_api.py
1084
1085
1086
1087
1088
1089
1090
1091
1092
1093
1094
1095
1096
1097
1098
1099
1100
1101
1102
1103
1104
1105
1106
1107
1108
1109
1110
1111
1112
1113
1114
1115
1116
1117
1118
1119
1120
1121
1122
1123
1124
1125
1126
1127
1128
1129
1130
1131
1132
1133
1134
1135
1136
1137
1138
1139
1140
1141
1142
1143
1144
1145
1146
1147
1148
1149
1150
@validate_call
async def update_partner_with_http_info(
    self,
    id: UUID,
    partner_update_dto: PartnerUpdateDto,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> ApiResponse[PartnerResponseDto]:
    """Update a partner

    Specify whether a partner's assets should appear in the user's timeline.

    :param id: (required)
    :type id: UUID
    :param partner_update_dto: (required)
    :type partner_update_dto: PartnerUpdateDto
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501

    _param = self._update_partner_serialize(
        id=id,
        partner_update_dto=partner_update_dto,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "200": "PartnerResponseDto",
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    await response_data.read()
    return self.api_client.response_deserialize(
        response_data=response_data,
        response_types_map=_response_types_map,
    )

update_partner_without_preload_content async

update_partner_without_preload_content(id: UUID, partner_update_dto: PartnerUpdateDto, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> RESTResponseType

Update a partner

Specify whether a partner's assets should appear in the user's timeline.

Parameters:

Name Type Description Default
id UUID

(required)

required
partner_update_dto PartnerUpdateDto

(required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
RESTResponseType

Returns the result object.

Source code in immichpy/client/generated/api/partners_api.py
1152
1153
1154
1155
1156
1157
1158
1159
1160
1161
1162
1163
1164
1165
1166
1167
1168
1169
1170
1171
1172
1173
1174
1175
1176
1177
1178
1179
1180
1181
1182
1183
1184
1185
1186
1187
1188
1189
1190
1191
1192
1193
1194
1195
1196
1197
1198
1199
1200
1201
1202
1203
1204
1205
1206
1207
1208
1209
1210
1211
1212
1213
1214
@validate_call
async def update_partner_without_preload_content(
    self,
    id: UUID,
    partner_update_dto: PartnerUpdateDto,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> RESTResponseType:
    """Update a partner

    Specify whether a partner's assets should appear in the user's timeline.

    :param id: (required)
    :type id: UUID
    :param partner_update_dto: (required)
    :type partner_update_dto: PartnerUpdateDto
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501

    _param = self._update_partner_serialize(
        id=id,
        partner_update_dto=partner_update_dto,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "200": "PartnerResponseDto",
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    return response_data.response